"use strict";
/**
 * Stores pair of filter and writer and coordinate them to handle log records
 */
var LogHandler = (function () {
    function LogHandler(name, filter, formatter, writer) {
        this._name = name;
        this._filter = filter;
        this._formatter = formatter;
        this._writer = writer;
    }
    Object.defineProperty(LogHandler.prototype, "name", {
        get: function () {
            return this._name;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * Process log record, if it match filter than pass it to writer
     */
    LogHandler.prototype.handle = function (logRecord) {
        var _this = this;
        if (!this._filter.match(logRecord)) {
            return;
        }
        var logData = logRecord.toObject();
        setTimeout(function () {
            _this._writer.save(_this._formatter.format(logData));
        }, 0);
    };
    return LogHandler;
}());
exports.LogHandler = LogHandler;
