"use strict";
var utils_1 = require('../core/utils');
var FormatterSingleLine = (function () {
    function FormatterSingleLine() {
    }
    Object.defineProperty(FormatterSingleLine, "entityName", {
        // We need it for es5 compilation. Because in es5 we dont have classes and we can't just access FormatterSingleLine.name
        get: function () {
            return 'FormatterSingleLine';
        },
        enumerable: true,
        configurable: true
    });
    FormatterSingleLine.create = function () {
        return new FormatterSingleLine();
    };
    FormatterSingleLine.prototype.format = function (logData) {
        var result = [];
        result.push("[" + logData.dt.toLocaleString() + "]");
        result.push(logData.message);
        result.push(logData.location);
        var attachedData = logData.data;
        if (attachedData instanceof Error) {
            attachedData = utils_1.serializeError(attachedData);
        }
        if (typeof attachedData === 'object' && attachedData !== null) {
            if ('toObject' in attachedData) {
                attachedData = JSON.stringify(attachedData.toObject());
            }
            else {
                attachedData = JSON.stringify(attachedData);
            }
        }
        result.push(attachedData);
        result.push(logData.tags);
        result.push('\n');
        return result.join('\t');
    };
    return FormatterSingleLine;
}());
exports.FormatterSingleLine = FormatterSingleLine;
