"use strict";
/**
 * Stores pair of filter and writer and coordinate them to handle log records
 */
class LogHandler {
    constructor(name, filter, formatter, writer) {
        this._name = name;
        this._filter = filter;
        this._formatter = formatter;
        this._writer = writer;
    }
    get name() {
        return this._name;
    }
    /**
     * Process log record, if it match filter than pass it to writer
     */
    handle(logRecord) {
        if (!this._filter.match(logRecord)) {
            return;
        }
        const logData = logRecord.toObject();
        setTimeout(() => {
            this._writer.save(this._formatter.format(logData));
        }, 0);
    }
}
exports.LogHandler = LogHandler;
