"use strict";
const utils_1 = require('../core/utils');
class FormatterSingleLine {
    // We need it for es5 compilation. Because in es5 we dont have classes and we can't just access FormatterSingleLine.name
    static get entityName() {
        return 'FormatterSingleLine';
    }
    static create() {
        return new FormatterSingleLine();
    }
    format(logData) {
        const result = [];
        result.push(`[${logData.dt.toLocaleString()}]`);
        result.push(logData.message);
        result.push(logData.location);
        let attachedData = logData.data;
        if (attachedData instanceof Error) {
            attachedData = utils_1.serializeError(attachedData);
        }
        if (typeof attachedData === 'object' && attachedData !== null) {
            if ('toObject' in attachedData) {
                attachedData = JSON.stringify(attachedData.toObject());
            }
            else {
                attachedData = JSON.stringify(attachedData);
            }
        }
        result.push(attachedData);
        result.push(logData.tags);
        result.push('\n');
        return result.join('\t');
    }
}
exports.FormatterSingleLine = FormatterSingleLine;
